Subject: bug#8692: hideshow

From: Glenn Morris <[email-masked]>
Date: Wed, 18 May 2011 15:27:35 -0400

Patrik Krajina wrote:

> My problem is this: I'm changing Emacs version from 19.34 to 21.4.1
> (x86_64_redhat_linux_gnu) and this gives me a new hideshow.elc.

Welcome to the exciting world of 2005! ;)

> I can see that it compresses blocks into one line without
> displaying the braces, while in old Emacs it kept the braces.

I think Emacs 23.2 onwards may behave like you want.

( I think http://debbugs.gnu.org/cgi/bugreport.cgi?bug=700
  may be the relevant report. )

Personally, I recommed upgrading your Emacs rather than trying to patch
your hideshow.el.